Package org.gradle.tooling.model

# Class UnsupportedMethodException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.UnsupportedOperationException
org.gradle.tooling.model.UnsupportedMethodException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedMethodException extends UnsupportedOperationException
Thrown when the tooling API client attempts to use a method that does not exist in the version of Gradle that the tooling API is connected to.

Typically, to resolve such a problem you change/upgrade the target version of Gradle that the tooling API is connected to. Alternatively, you can handle and ignore this exception.

Since:
  1.0-milestone-8
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupportedMethodException(String s)`
  `UnsupportedMethodException(String message, Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedMethodException

    public UnsupportedMethodException(String s)

  - ### UnsupportedMethodException

    public UnsupportedMethodException(String message, Throwable cause)